{% extends "base.html" %}

{% block title %}
    My Tasks
{% endblock title %}
{% block content %}
    <main>
        <div class="my-tasks-list">
            <h1>My Tasks</h1>
            {% if tasks %}
                <table>
                    <thead>
                        <th>Name</th>
                        <th>Start date</th>
                        <th>Due date</th>
                        <th>Is completed</th>
                    </thead>
                    <tbody>
                        {% for task in tasks %}
                            <tr>
                                <td>
                                    <a href="{% url 'edit_task' task.id %}">{{ task.name }}</a>
                                </td>
                                <td>{{ task.start_date }}</td>
                                <td>{{ task.due_date }}</td>
                                <td>{{ task.is_completed|yesno }}</td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
            {% else %}
                <p>You have no tasks</p>
            {% endif %}
        </div>
    </main>
{% endblock content %}
